From: <a href="/blend/av.cgi?id=13">B.K.</a><BR>
Date: 18 June 2011<P>

Marlo Thomas wrote this great article I think you might like to see;<BR>
<BR>
<a href="http://www.huffingtonpost.com/marlo-thomas/famous-men-sex-scandals_b_875587.html">http://www.huffingtonpost.com/marlo-thomas/famous-men-sex-scandals_b_875587.html</a><BR>
<BR>
bk (great read!)
<HR>
From: <a href="/blend/av.cgi?id=517">musicalduck</a><BR>
Date: 18 June 2011<P>

wolfscreamer, about <a href="/blend/wv.cgi?id=2011.06.13.07.27.11861">Whoever you are</a>:<BR>
<BR>
I try to come here and read people's work, but I haven't had much time lately. I've been staring at this for the past few minutes. It brought tears to my eyes, and made me smile at the same time. I can see this from both points of view, and I'm glad you wrote it. It makes me happy that I have the something someone else didn't have, but is also makes me sad because I know others have had something I didn't.
<HR>